### Method

# Cogl Primitive draw

#### Declaration [src]

    void
    cogl_primitive_draw (
      CoglPrimitive* primitive,
      CoglFramebuffer* framebuffer,
      CoglPipeline* pipeline
    )

#### Description [src]

Draws the given `primitive` geometry to the specified destination `framebuffer` using the graphics processing state described by `pipeline`.

This drawing api doesn’t support high-level meta texture types such as `CoglTexture2DSliced` so it is the user’s responsibility to ensure that only low-level textures that can be directly sampled by a GPU such as `CoglTexture2D` are associated with layers of the given `pipeline`.

#### Parameters

`framebuffer`

  Type: `CoglFramebuffer`

  A destination `CoglFramebuffer`.

  The data is owned by the caller of the method.

`pipeline`

  Type: `CoglPipeline`

  A `CoglPipeline` state object.

  The data is owned by the caller of the method.